%global momorel 2
%global _patchlevel 200

Name:		ruby19

# specopt
%{?include_specopt}
%{?!with_dbm_backend_type:      %global with_dbm_backend_type   qdbm}

%if %(if [ "%{with_dbm_backend_type}" = "qdbm" ]; then echo 1; else echo 0; fi)
%global with_dbm_backend_qdbm 1
%else
%global with_dbm_backend_qdbm 0
%endif

%if %(if [ "%{with_dbm_backend_type}" = "gdbm" ]; then echo 1; else echo 0; fi)
%global with_dbm_backend_gdbm 1
%else
%global with_dbm_backend_gdbm 0
%endif

%if %(if [ "%{with_dbm_backend_type}" = "db" ]; then echo 1; else echo 0; fi)
%global with_dbm_backend_db 1
%else
%global with_dbm_backend_db 0
%endif

%define	rubyxver	1.9
%define	rubyver		1.9.1
%define manver		1.4.6
%define dotpatchlevel   %{?_patchlevel:.%{_patchlevel}}
%define patchlevel      %{?_patchlevel:-p%{_patchlevel}}
%define	sitedir		%{_libdir}/ruby19/site_ruby
# This is required to ensure that noarch files puts under /usr/lib/... for
# multilib because ruby library is installed under /usr/{lib,lib64}/ruby anyway.
%define	sitedir2	%{_prefix}/lib/ruby19/site_ruby

Version:	%{rubyver}%{?dotpatchlevel}
Release:	%{momorel}m%{?dist}
License:	"Ruby License/GPL - see COPYING"
URL:		http://www.ruby-lang.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	readline readline-devel ncurses ncurses-devel gdbm gdbm-devel
BuildRequires:	glibc-devel tcl-devel tk-devel libX11-devel autoconf gcc unzip
BuildRequires:	openssl-devel db4-devel byacc bison
BuildRequires:  momonga-rpmmacros >= 20070618

Source0: 	http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-%{rubyver}%{?patchlevel}.tar.bz2
#NoSource: 	0

Summary:	An interpreter of object-oriented scripting language
Group:		Development/Languages
Provides:	%{_bindir}/ruby19

%description
Ruby-1.9 is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.

%prep
%setup -q -n ruby-%{rubyver}%{?patchlevel}

%build
autoreconf -if

#rb_cv_func_strtod=no
#export rb_cv_func_strtod
CFLAGS="$RPM_OPT_FLAGS -Wall "
export CFLAGS
%configure \
  --with-sitedir='%{sitedir2}' \
  --with-default-kcode=none \
  --enable-shared \
%ifarch ppc
  --disable-pthread \
%else
  --enable-pthread \
%endif
  --disable-rpath \
  --with-baseruby=/usr/bin/ruby \
  --program-suffix=19 \
  --with-soname=ruby19 \
  --with-rubylibprefix=/usr/%{_lib}/ruby19 \
  --with-search-path=/usr/%{_lib}/ruby19/%{rubyver}/:%{_libdir}/ruby19/%{rubyver}/%{_arch}-linux/ \
  --with-ruby-prefix=%{_prefix}/lib

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# installing binaries ...
make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{_datadir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/*19
%{_libdir}/*.so*
%{_libdir}/*.a
%{_libdir}/ruby19/%{rubyver}
%{_prefix}/lib/ruby19/gems/1.9.1/specifications/*.gemspec
%{_includedir}/ruby-%{rubyver}

%changelog
* Thu Jun 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.1.200-2m)
- fix build on x86_64

* Wed Jun 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1.200-1m)
- update 1.9.1-p200

* Thu Jun  4 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1.154-1m)
- update 1.9.1-p154

* Wed May 13 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1.129-1m)
- [SECURITY] CVE-2009-0642
- update 1.9.1-p129

* Wed Apr 08 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.1-3m)
- rebuild against openssl-0.9.8k

* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.1-2m)
- apply gcc44 patch

* Sat Jan 31 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1-1m)
- 1.9.1 release!

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.1.72-0.992.2m)
- rebuild against rpm-4.6

* Wed Jan 21 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.1-0.992.1m)
- 1.9.1-rc2

* Wed Dec 31 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1-0.991.1m)
- 1.9.1-rc1

* Thu Dec  4 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1-0.2.1m)
- 1.9.1-preview2

* Tue Oct 28 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.1-0.1.1m)
- 1.9.1-preview1

* Sun Oct 19 2008 NARITA Koichi <pulsar@momonga-linu.org>
- (1.9.0-18m)
- rebuild against db4-4.7.25-1m

* Mon Oct 13 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.0-17m)
- update ruby-1.9.0-5

* Tue Aug 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.0-16m)
- update ruby-1.9.0-4

* Wed Aug 13 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.0-15m)
- update 20080813(Security fix)

* Sat Jul 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.9.0-14m)
- update ruby-1.9.0-3

* Fri Jun 20 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-13m)
- update ruby-1.9.0-2

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9.0-12m)
- rebuild against openssl-0.9.8h-1m

* Sun May 25 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-11m)
- update 20080525

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-10m)
- update 20080505

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.9.0-9m)
- rebuild against Tcl/Tk 8.5

* Tue Apr 15 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-8m)
- update 20080415

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.0-7m)
- rebuild against gcc43

* Mon Mar 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-6m)
- update 20080324

* Tue Mar  4 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.9.0-5m)
- [SECURITY] http://preview.ruby-lang.org/en/news/2008/03/03/webrick-file-access-vulnerability/
             http://www.ruby-lang.org/ja/news/2008/03/03/webrick-file-access-vulnerability/

* Mon Mar  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-4m)
- update ruby-1.9.0-1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-3m)
- update 1.9.0-20080213

* Mon Jan 28 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-2m)
- update 1.9.0-20080128

* Wed Dec 26 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-1m)
- update 1.9.0-release

* Tue Dec 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.15m)
- fix --with-search-path

* Tue Dec 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.14m)
- update 20071225

* Mon Dec 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.13m)
- update 20071224

* Mon Dec 10 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.12m)
- update 20071209

* Fri Nov 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.11m)
- update 20071129

* Mon Nov 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.10m)
- update 20071111

* Sun Oct 21 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.9.0-0.9m)
- rebuild against db4-4.6.21

* Mon Oct 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.0-0.8m)
- correct Provides: %%{_bindir}/ruby19

* Thu Oct 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.7m)
- update ruby-1.9-20071011

* Tue Oct  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.6m)
- update ruby-1.9-20071001

* Fri Aug 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.5m)
- update ruby-1.9-20070831
- cleanup spec

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.4m)
- update ruby-1.9-20070815

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-0.3m)
- initial commit
- ruby-1.9-20070726

